Vla-put-upsidedown
- 構文
- (vla-put-upsidedown vla-object bool )
- 機能
- 文字の方向を指定する。
- 引数
-
- vla-object … VLAオブジェクト(Attribute、AttributeReference、Text)
- bool … ブール型
- :vlax-True: 文字列の上下は逆。
- :vlax-False: 文字列の上下は逆ではない。
- 戻り値
- nil
- サンプル
(vl-load-com) (defun c:Example_UpsideDown() ;; モデル空間でテキスト オブジェクトを作成し、さかさまプロパティを ;; 使用して、テキストを垂直方向に反転 (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; テキストの定義 (setq insertionPoint (vlax-3d-point 3 3 0) textString "Hello, World." height 0.5) ;; テキストを作成 (setq modelSpace (vla-get-ModelSpace doc)) (setq textObj (vla-AddText modelSpace textString insertionPoint height)) (vla-ZoomAll acadObj) (alert "現在テキスト oject は、右側にあります。") (vla-put-UpsideDown textObj :vlax-true) (vla-Regen doc acActiveViewport) (alert "テキスト オブジェクトが逆さま") )
関連事項